Adobe évalue constamment les fonctionnalités des produits pour identifier celles qui devraient être remplacées par des solutions plus modernes afin d'améliorer la valeur de la clientèle dans l'ensemble, et ce en prenant toujours en compte la rétrocompatibilité. Étant donné qu'Adobe Campaign Classic fonctionne avec des outils tiers, la compatibilité est actualisée de manière régulière afin de mettre en œuvre uniquement les versions prises en charge. Les versions qui ne sont plus compatibles avec Adobe Campaign Classic sont répertoriées ci-dessous.

Lors de l'annonce de la suppression ou du remplacement imminent de fonctionnalités Campaign Classic, les règles suivantes s'appliquent :

  1. L'annonce de l'obsolescence vient en premier. Les fonctionnalités obsolètes sont encore disponibles, mais elles ne seront plus améliorées ni documentées. 
  2. La suppression de fonctionnalités obsolètes aura lieu au plus tôt dans la version suivante. La date de suppression prévue est annoncée sur cette page. 

Cette procédure laisse aux clients au moins un cycle de publication pour s'adapter à une nouvelle version ou au successeur d'une fonctionnalité supprimée avant la suppression définitive. 

Fonctionnalités obsolètes

Cette section dresse la liste des fonctionnalités qui ont été désignées comme étant obsolètes dans les dernières versions de Campaign Classic. En règle générale, les fonctionnalités qui devraient être supprimées dans une version ultérieure sont marquées comme obsolètes dans un premier temps et une solution de remplacement est fournie. Ces fonctionnalités ne sont plus disponibles pour les nouveaux clients Campaign Classic.

Il est conseillé aux clients d'évaluer dans quelle mesure ils utilisent la fonctionnalité dans leur déploiement actuel et d'envisager de modifier leur mise en œuvre pour utiliser la solution de remplacement proposée. Référez-vous aux dates de suppression prévues pour planifier les mises à jour de votre environnement et de vos projets en conséquence. 

Adobe Campaign Classic 18.10

Domaine Fonctionnalité Remplacement Date de suppression prévue
Documentation des API de Campaign référence jsapi.chm  Les API de Campaign Classic sont maintenant disponibles dans une page dédiée. Si vous utilisiez le fichier jsapi.chm, vous devez à présent vous référer à la nouvelle version en ligne. Avr. 2019

Adobe Campaign Classic 18.6

Domaine Fonctionnalité Remplacement Date de suppression prévue
SDK JavaScript – Sécurité decryptString À des fins de sécurité, l'API decryptString n'est plus disponible par défaut avec les nouvelles installations. Il est possible de l'activer par le biais d'une option dédiée décrite dans les Notes de mise à jour de Campaign Classic. Dans le contexte d'une post-mise à niveau vers la version 18.6, cette API reste activée par défaut et peut être désactivée au moyen de cette option. Afin de sécuriser l'instance Campaign, Adobe recommande vivement de ne pas utiliser cette fonction. Oct. 2019

Adobe Campaign Classic 18.4

Domaine Fonctionnalité Remplacement Date de suppression prévue
Archivage des emails Archivage basé sur les fichiers L'archivage des emails est désormais disponible via une adresse email CCI dédiée. En savoir plus. Oct. 2019
Gestion des prospects Prospects  Le package de gestion des prospects dans Adobe Campaign Classic simplifie le processus de construction et de maintien de tout le cycle de vie de gestion des prospects. Une fonctionnalité similaire peut être implémentée grâce à d'autres activités de workflow natif et à des modifications du modèle de données. 2020

Compatibilité obsolète

Attention :

Adobe Campaign Classic est compatible avec tous les systèmes et outils répertoriés dans la matrice de compatibilité. Lorsque des versions spécifiques de ces systèmes et outils tiers atteignent la fin de leur vie chez leur créateur respectif, Adobe Campaign ne sera plus compatible avec celles-ci. Ces versions seront en outre supprimées de la matrice de compatibilité de Campaign dans la prochaine version du produit. Vérifiez que vous utilisez les versions prises en charge des systèmes répertoriés dans la matrice de compatibilité afin d'éviter tout problème.

 

Systèmes d'exploitation

A compter du mois d'avril 2019, Adobe Campaign ne sera plus compatible avec les systèmes d'exploitation suivants : Reportez-vous à la matrice de compatibilité pour effectuer un upgrade vers une nouvelle version ou passer à un nouveau système d'exploitation.

Systèmes d'exploitation A atteint la fin de sa vie le
Debian 7 Mai 2018. En savoir plus.
RHEL 6.x

Déc. 2018. En savoir plus.

Windows Server 2008

Juill. 2011. En savoir plus.

SLES 11

Mars 2016. En savoir plus.

Serveurs web

A compter du mois d'avril 2019, Adobe Campaign ne sera plus compatible avec le serveur web suivant : Reportez-vous à la matrice de compatibilité pour effectuer un upgrade vers une nouvelle version.

Serveurs web Fin de vie Lien Fin de compatibilité ciblée
Microsoft IIS 7 Juill. 2011 En savoir plus Avr. 2019

Outils

A compter du mois d'avril 2019, Adobe Campaign ne sera plus compatible avec les outils suivants : Reportez-vous à la matrice de compatibilité pour effectuer un upgrade vers une nouvelle version.

Outils Fin de vie
Java JDK 7 Mars 2014. En savoir plus.
Libre Office 3.5 / 4.3 / 5.x

Nov. 2017. En savoir plus.

Serveurs SGBDR

A compter du mois d'avril 2019, Adobe Campaign ne sera plus compatible avec les serveurs SGBDR suivants : Reportez-vous à la matrice de compatibilité pour effectuer un upgrade vers une nouvelle version.

Serveurs SGBDR Fin de vie

Oracle 10GR2 – 11G

Août 2015. En savoir plus.

PostgreSQL versions 9.0 à 9.3

Sept. 2018. En savoir plus.

SQL Server 2005

Avr. 2016. En savoir plus.

MySQL 5.1

Déc. 2013. En savoir plus.

FDA (Federated Data Access)

A compter du mois d'avril 2019, Adobe Campaign ne sera plus compatible avec les serveurs FDA suivants : Reportez-vous à la matrice de compatibilité pour effectuer un upgrade vers une nouvelle version.

Serveurs FDA Fin de vie

Oracle 11G

Août 2015. En savoir plus.

PostgreSQL 9.3

Sept. 2018. En savoir plus.

MySQL 5.5

Déc. 2018. En savoir plus.

DB2 9.5

Avr. 2018. En savoir plus.

Teradata 14 – 14.1

Juin 2018. En savoir plus.

Fonctions supprimées

Cette section répertorie toutes les fonctions et fonctionnalités qui ont été supprimées de Campaign Classic. Elles ne sont plus prises en charge par Adobe.

Domaine Fonctionnalité Remplacement Version
Orchestration de Campaign Marketing prédictif La consommation de modèles prédictifs a représenté une grande partie des fonctionnalités de marketing prédictif dans Adobe Campaign Classic. Même si l'activité du workflow de marketing prédictif sera supprimée dans une version ultérieure, Adobe Campaign continuera de prendre en charge la consommation et l'utilisation de modèles prédictifs depuis des sources externes à travers d'autres activités de workflow. 18.10
Applications web Microsites La sécurité est améliorée grâce aux restrictions d'accès uniquement à des domaines dédiés sur les fichiers de configuration Adobe Campaign. Vous pouvez encore utiliser des URL personnalisées dans Campaign grâce à des alias DNS.  En savoir plus. 18.10
Notifications push Connecteur binaire iOS Conformément aux recommandations d'Apple, Adobe va supprimer le connecteur binaire iOS hérité. Le connecteur basé sur HTTP/2, plus performant et efficace, est déjà disponible.  En savoir plus. 18.10
Messages MMS et WAP Push Les diffusions sur mobile MMS et WAP Push ont été supprimées de Campaign Classic. Adobe recommande d'utiliser les fonctionnalités SMS et les notifications Push. 18.4
LINE v1 Le package LINE Connect ne peut plus être installé dans Adobe Campaign Classic. Adobe recommande d'utiliser le nouveau package Canal LINE pour envoyer des messages LINE. En savoir plus. 18.4

Matrices n'étant plus compatibles

Console cliente

La console client Adobe Campaign Classic ne peut plus être exécutée sur les systèmes suivants, car ils ont été définis comme obsolètes par leurs éditeurs. Les clients exécutant la console client Campaign sur l'une de ces versions doivent effectuer une mise à niveau vers la nouvelle version avant la date de suppression prévue. Reportez-vous à la page Matrices de compatibilité d'Adobe Campaign Classic.

Système d'exploitation Version
Windows Server
  • 2003
  • 2008
  • 2008R2
Windows
  • XP
  • Vista

Moteurs de base de données

Adobe ne prend pas en charge les moteurs de bases de données suivants, car ils ont été définis comme obsolètes par leurs éditeurs. Les clients qui exécutent ces versions doivent effectuer une mise à niveau vers la dernière version ou travailler dans une autre.

Reportez-vous à la page Matrices de compatibilité d'Adobe Campaign Classic pour obtenir une liste des versions compatibles.

FDA (Federated Data Access)

Composant Remplacement En savoir plus
DB2 UDB 9.5, 9.7 La dernière version de DB2 est prise en charge grâce à l'option FDA (Federated Data Access). En savoir plus. Dates de fin de support de la distribution de DB2
Oracle 9i, 10G R2 Les dernières versions d'Oracle sont prises en charge grâce à l'option FDA (Federated Data Access). En savoir plus. Politique de prise en charge de la durée de vie d'Oracle
PostgreSQL 8.3, 8.4, 9.0, 9.1, 9.2 Les dernières versions de PostgreSQL sont prises en charge grâce à l'option FDA (Federated Data Access).  En savoir plus. Politique de contrôle de version de PostgreSQL
MSSQL 2000, 2005, 2008 R2 Les dernières versions de SQL Server sont prises en charge grâce à l'option FDA (Federated Data Access).  En savoir plus. Cycle de vie des produits Microsoft
MySQL 5.1 Les dernières versions de MySQL sont prises en charge grâce à l'option FDA (Federated Data Access).  En savoir plus. Assistance technique MySQL
InfiniDB InfiniDB a atteint la fin de sa vie.  
Teradata 13, 13.1 Les dernières versions de Teradata sont prises en charge grâce à l'option FDA (Federated Data Access).  En savoir plus. Définition des mises à jour Teradata (PDF)
Netezza 6.02, 7.0

Netezza a atteint la fin de sa vie.

Est remplacé par IBM Pure Data System.

 
AsterData 5.0 AsterData a atteint la fin de sa vie.  

Sybase IQ 15.2, 15.4, 15.5

Sybase ASE 15.0

Les dernières versions de Sybase sont prises en charge grâce à l'option FDA (Federated Data Access).  En savoir plus. Fin de vie des produits Sybase
Hadoop via HiveSQL : Hadoop 2.7.3 , HiveSQL 1.2.1

Adobe Campaign Classic prendra encore en charge les versions répertoriées de Hadoop via HiveSQL grâce à l'option FDA (Federated Data Access), mais ces versions sont fusionnées avec :

  • HortonWorks HDP 2.4.X, 2.5.x, 2.6.x
  • HDInsight 3.4 (HDP 2.4), 3.5 (HDP 2.5), 3.6 (HDP 2.6)
 

Serveur SGBDR

Composant Remplacement En savoir plus
DB2 UDB 9.7 Reportez-vous à la section sur les serveurs SGBDR de la matrice de compatibilité Campaign Classic. Dates de fin de support de la distribution de DB2

Ce produit est distribué sous licence Creative Commons Attribution - Pas d’utilisation commerciale - Partage à l’identique 3.0 non transposé  Les publications Twitter™ et Facebook ne sont pas couvertes par les dispositions Creative Commons.

Mentions légales   |   Politique de confidentialité en ligne